ErrorExpression
Keywords: com.icl.saxon.expr.ErrorExpression class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon.expr
Class ErrorExpression

    java.lang.Object
      com.icl.saxon.expr.Expression
          com.icl.saxon.expr.ErrorExpression

public class ErrorExpression
extends Expression

Error expression: this expression is generated when the supplied expression cannot be parsed, and the containing element enables forwards-compatible processing. It defers the generation of an error message until an attempt is made to evaluate the expression

Field Summary

Fields inherited from class com.icl.saxon.expr.Expression
`staticContext`

Constructor Summary
`ErrorExpression(XPathException exception)` Constructor

Method Summary
`void` | `display(int level)` Diagnostic print of expression structure
`Value` | `evaluate(Context c)` Evaluate this expression.
`int` | `getDataType()` Determine the data type of the expression, if possible
`int` | `getDependencies()` Determine which aspects of the context the expression depends on.
`Expression` | `reduce(int dependencies, Context context)` Perform a partial evaluation of the expression, by eliminating specified dependencies on the context.

Methods inherited from class com.icl.saxon.expr.Expression
`containsReferences, enumerate, evaluateAsBoolean, evaluateAsNodeSet, evaluateAsNumber, evaluateAsString, getStaticContext, indent, isContextDocumentNodeSet, make, outputStringValue, setStaticContext, simplify, usesCurrent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorExpression

    public ErrorExpression(XPathException exception)

  Constructor

Parameters:
  `exception` - the error found when parsing this expression

Method Detail

### evaluate

    public Value evaluate(Context c)
                   throws XPathException

  Evaluate this expression. This always throws the exception registered when the expression was first parsed.

  Specified by:
    `evaluate` in class `Expression`
  Parameters:
    `c` - The context in which the expression is to be evaluated
  Returns:
    the value of the expression, evaluated in the current context
  Throws:
    `XPathException`

### getDataType

    public int getDataType()

  Determine the data type of the expression, if possible

  Specified by:
    `getDataType` in class `Expression`
  Returns:
    Value.ANY (meaning not known in advance)

### getDependencies

    public int getDependencies()

  Determine which aspects of the context the expression depends on. The result is a bitwise-or'ed value composed from constants such as Context.VARIABLES and Context.CURRENT_NODE

  Specified by:
    `getDependencies` in class `Expression`

### reduce

    public Expression reduce(int dependencies,
                             Context context)
                      throws XPathException

  Perform a partial evaluation of the expression, by eliminating specified dependencies on the context.

  Specified by:
    `reduce` in class `Expression`
  Parameters:
    `dependencies` - The dependencies to be removed
    `context` - The context to be used for the partial evaluation
  Returns:
    a new expression that does not have any of the specified dependencies
  Throws:
    `XPathException`

### display

    public void display(int level)

  Diagnostic print of expression structure

  Specified by:
    `display` in class `Expression`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD